#!/bin/sh

##
#	usage:	redirect.sh [opt]
#	[opt]:
#		reset	resume standout to /dev/console	[1]
#		null	standout to /dev/null			[2]
#		tty0	standout to /dev/pts/0			[3]
#		tty1	standout to /dev/pts/1			[4]

if [ "$#" -eq "1" ];then
	echo "$0 <$1>"
else
	echo "Usage: \n \t$0 [opt]"
	echo "\t 	reset: 	\t resume standout to /dev/console"
	echo "\t 	 null:	\t standout to /dev/null"
	echo "\t 	  tty0:	\t standout to /dev/pts/0"
	echo "\t 	  tty1:	\t standout to /dev/pts/1"
	exit 1
fi

if [ -f "/mnt/iRTK/redirect_file" ];then
	echo '0' > /mnt/iRTK/redirect_file
else
	echo "create file </mnt/iRTK/redirect_file>"
	touch /mnt/iRTK/redirect_file
	echo '0' > /mnt/iRTK/redirect_file
fi
	
if [ "$1" = "reset" ];then
	echo "resume standout to /dev/console	[1]"
	echo '1' > /mnt/iRTK/redirect_file
fi

if [ "$1" = "null" ];then
	echo "standout to /dev/null	[2]"
	echo '2' > /mnt/iRTK/redirect_file
fi

if [ "$1" = "tty0" ];then
	echo "standout to /dev/pts/0 [3]"
	echo '3' > /mnt/iRTK/redirect_file
fi

if [ "$1" = "tty1" ];then
	echo "standout to /dev/pts/1 [4]"
	echo '4' > /mnt/iRTK/redirect_file
fi


